#include <stdint.h>
#include <iostream>
using namespace std;
 
timespec diff(timespec start, timespec end);
 
uint64_t gettsc() {
    union {
        uint64_t x;
        uint32_t y[2];
    };
    __asm__ __volatile__("rdtsc\n\t" : "=a"(y[0]), "=d"(y[1]) : : "memory");
    return x;
}

void test()
{
    uint64_t time1, time2, time3;
    uint64_t i;
    time1 = gettsc();
	for (i = 0; i <= 2420000000; i++)
        __asm__ __volatile__("":::"memory");
    time2 = gettsc();
	for (i = 2420000000; i--; )
        __asm__ __volatile__("":::"memory");
    time3 = gettsc();
    cout << "Counting up:   " << (time2 - time1) << " cycles" << endl;
    cout << "Counting down: " << (time3 - time2) << " cycles" << endl;
}

int main() {
    cout << "First run:" << endl;
    test();
    cout << "Second run:" << endl;
    test();
}
